APIリファレンス会社カード

会社カード

会社の紹介と、公開中のメニュー・実績

エンドポイント
GET/v1/company-page

会社のページを取得

このワークスペースの会社のページ(紹介、会社概要、公開中の提供メニューと実績、載せているメンバー)を返します。自社サイトや自社アプリに、Tooon と同じ中身を表示するときに使います(例: 自社サイトのメンバーページ)。下書き・非公開のメニューと実績、実績のクライアント名、会社のページから外した名刺は返しません。

返る項目data の中身 · 200

  • isPublicboolean

    会社のページを公開しているか。false のときは外に出さない前提で扱う

  • urlstring | null

    Tooon の Network での会社のページのURL

  • namestring | null
  • headingstring | null

    ひとこと(見出し)

  • descriptionstring | null

    短い紹介

  • summarystring | null

    紹介文

  • imagestring | null

    アイコン画像のURL

  • headerImagestring | null

    ヘッダー画像のURL

  • availabilityenum

    open: 受付中 / selective: 内容による / busy: 余裕なし / closed: 受け付けていない

    openselectivebusyclosed
  • skillsstring[]
  • linksobject[]
    中の項目 2
    • namestring
    • urlstring
  • menusobject[]

    公開中の提供メニュー(新しい順)

    中の項目 8
    • idstring
    • titlestring
    • descriptionstring | null
    • priceTypeenum

      fixed: 固定報酬 / hourly: 時間単価 / free: 無料 / consultation: 要相談 / none: 未設定

      fixedhourlyfreeconsultationnone
    • priceinteger | null

      円。fixed と hourly のときだけ入る

    • deliveryDaysinteger | null

      納期の目安(日)

    • thumbnailstring | null
    • acceptingboolean

      いま相談を受け付けているか

  • portfoliosobject[]

    公開中の実績(新しい順)

    中の項目 3
    • idstring
    • titlestring
    • thumbnailstring | null
  • overviewobject[]

    会社概要(会社名・代表者・所在地など、項目と内容の行)

    中の項目 2
    • labelstring
    • valuestring
  • membersobject[]

    会社のページに載せているメンバー(会社のページで選んだ公開中の名刺を、選んだ順に)

    中の項目 6
    • idstring
    • namestring
    • imagestring | null

      写真のURL

    • jobTitlestring | null

      肩書き

    • departmentstring | null

      部門(名刺の部門)。メンバーを部門ごとに分けるときに使う

    • cardUrlstring | null

      その人のデジタル名刺のURL(会社サイトの下)

  • siteUrlstring | null

    会社サイト(◯◯.tooon.site)のURL。会社のページが非公開なら null

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

GET/v1/company-page
curl https://tooon.app/api/v1/company-page \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "isPublic": false,
    "url": "https://tooon.app/…",
    "name": "山田 太郎",
    "heading": "…",
    "description": "…",
    "summary": "…",
    "image": "…",
    "headerImage": "…",
    "availability": "open",
    "skills": [
      "…"
    ],
    "links": [
      {
        "name": "山田 太郎",
        "url": "https://tooon.app/…"
      }
    ],
    "menus": [
      {
        "id": "clx8k2m0a0001",
        "title": "Webサイト制作の業務委託",
        "description": "…",
        "priceType": "fixed",
        "price": 100000,
        "deliveryDays": 0,
        "thumbnail": "…",
        "accepting": true
      }
    ],
    "portfolios": [
      {
        "id": "clx8k2m0a0001",
        "title": "Webサイト制作の業務委託",
        "thumbnail": "…"
      }
    ],
    "overview": [
      {
        "label": "…",
        "value": "…"
      }
    ],
    "members": [
      {
        "id": "clx8k2m0a0001",
        "name": "山田 太郎",
        "image": "…",
        "jobTitle": "…",
        "department": "…",
        "cardUrl": "https://tooon.app/…"
      }
    ],
    "siteUrl": "https://tooon.app/…"
  }
}